/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

import classNames from 'classnames';
import React from 'react';

import Cell from './Cell';
import ContextProvider from './ContextProvider';
import Row from './Row';
import Table from './Table';

function Body({children, className}) {
	return <div className={classNames('dnd-tbody', className)}>{children}</div>;
}

function Head({children, className}) {
	return <div className={classNames('dnd-thead', className)}>{children}</div>;
}

export default Object.assign(Table, {
	Body,
	Cell,
	ContextProvider,
	Head,
	Row,
	Table,
});
